package net.sf.saxon.instruct;
import java.util.Comparator;

/**
* A saxon:collation element in the style sheet: this is a top-level
* element that defines details of a named collation. The attributes of the
* element provide different ways of instantiating an instance of java.util.Comparator
*/

public class CollationDecl {

    private String collationName;

    private Comparator collator;      // it's best to supply a java.text.Collator,
                                      // but we can cope with any java.util.Comparator
    private boolean isDefault = false;

    public CollationDecl( String collationName, Comparator collator, boolean isDefault ) {
        this.collationName = collationName;
        this.collator = collator;
        this.isDefault = isDefault;
    }

    public String getCollationName() {
        return collationName;
    }

    public boolean isDefaultCollation() {
        return isDefault;
    }

    public Comparator getCollator() {
        return collator;
    }


}

//
// The contents of this file are subject to the Mozilla Public License Version 1.0 (the "License");
// you may not use this file except in compliance with the License. You may obtain a copy of the
// License at http://www.mozilla.org/MPL/
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied.
// See the License for the specific language governing rights and limitations under the License.
//
// The Original Code is: all this file.
//
// The Initial Developer of the Original Code is
// Michael Kay of International Computers Limited (mhkay@iclway.co.uk).
//
// Portions created by (your name) are Copyright (C) (your legal entity). All Rights Reserved.
//
// Contributor(s): none.
//
