package net.sf.saxon.instruct;
import javax.xml.transform.TransformerException;

/**
* This exception is thrown by code when execution of an instruction has failed,
* and the recovery action is to continue with the next instruction.
*/

public class SkipInstructionException extends TransformerException {
    
    /**
    * Construct a SkipInstructionException
    * @param message the message text
    */
    
    public SkipInstructionException(String message) {
        super(message);
    }
}

//
// The contents of this file are subject to the Mozilla Public License Version 1.0 (the "License");
// you may not use this file except in compliance with the License. You may obtain a copy of the
// License at http://www.mozilla.org/MPL/ 
//
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied.
// See the License for the specific language governing rights and limitations under the License. 
//
// The Original Code is: all this file. 
//
// The Initial Developer of the Original Code is
// Michael Kay of International Computers Limited (michael.h.kay@ntlworld.com).
//
// Portions created by (your name) are Copyright (C) (your legal entity). All Rights Reserved. 
//
// Contributor(s): 
// Portions marked "e.g." are from Edwin Glaser (edwin@pannenleiter.de)
//
