package net.sf.saxon.jdom;

import net.sf.saxon.Transform;

import javax.xml.transform.sax.SAXSource;
import javax.xml.transform.TransformerException;
import java.util.List;
import java.util.ArrayList;
import java.io.IOException;

import org.jdom.input.SAXBuilder;
import org.jdom.JDOMException;

/**
 * Variant of command line net.sf.saxon.Transform do build the source document
 * in JDOM and then proceed with the transformation. This class is provided largely for
 * testing purposes.
 */

public class JDOMTransform extends Transform {

    public List preprocess(List sources) throws TransformerException {
        try {
            ArrayList jdomSources = new ArrayList(sources.size());
            for (int i=0; i<sources.size(); i++) {
                SAXSource ss = (SAXSource)sources.get(i);
                SAXBuilder builder = new SAXBuilder();
                org.jdom.Document doc = builder.build(ss.getInputSource());
                DocumentWrapper jdom = new DocumentWrapper(doc, ss.getSystemId());
                jdomSources.add(jdom);
            }
            return jdomSources;
        } catch (JDOMException e) {
            throw new TransformerException(e);
        } catch (IOException e) {
            throw new TransformerException(e);
        }
    }

    public static void main(String[] args) {
        new JDOMTransform().doMain(args, "JDOMTransform");
    }
}
