
package net.sf.saxon.type;

import javax.xml.transform.SourceLocator;
import javax.xml.transform.TransformerConfigurationException;

/**
 * An exception that identifies an error in reading, parsing, or
 * validating a schema.
 */

public class SchemaException extends TransformerConfigurationException {

    /**
     * Creates a new XMLException with no message
     * or nested Exception.
     */

    public SchemaException() {
        super();
    }

    public SchemaException(String message, SourceLocator locator) {
        super(message, locator);
    }

    /**
     * Creates a new XMLException with the given message.
     *
     * @param message the message for this Exception
     */

    public SchemaException(String message) {
        super(message);
    }

    /**
     * Creates a new XMLException with the given nested
     * exception.
     *
     * @param exception the nested exception
     */

    public SchemaException(Exception exception) {
        super(exception);
    }

    /**
     * Creates a new XMLException with the given message
     * and nested exception.
     *
     * @param message the detail message for this exception
     * @param exception the nested exception
     */

    public SchemaException(String message, Exception exception) {
        super(message, exception);
    }

}
