package net.sf.saxon.type;

import net.sf.saxon.type.ValidationContext;

/**
 * This object represents validation context in which nothing will validate. For example,
 * this validation context is used if the containing element has a simple type.
 */

public class VoidValidationContext implements ValidationContext {

    // This class has a singleton instance

    private static VoidValidationContext theInstance =
            new VoidValidationContext();

    /**
     * Get the singleton instance of this class
     * @return the singleton instance
     */

    public static VoidValidationContext getInstance() {
        return theInstance;
    }

    /**
     * The constructor is private
     */

    private VoidValidationContext() {}

}
